# `move_to_front_lu_policy` Interface

A list-update policy that unconditionally moves elements to the front of the list.

Defined in: `list_update_policy.hpp`

## Template Parameters

Parameter | Description | Default Value
    class Allocator
| Allocator type. This is used only for definitions, e.g., the size type. |
    std::allocator<char>

## Public Types and Constants

### Policy Definitions

Type | Definition | Description
    allocator
    Allocator
| `Allocator` type.

### Metadata-Type Definitions

Type | Definition | Description
    metadata_type
    null_lu_metadata
| Metadata on which this functor operates. In this case, none.
    metadata_reference
    typename Allocator::template rebind<
        metadata_type>::other::reference
| Reference to metadata on which this functor operates.

## Public Methods

### Metadata Methods

Method | Description
    metadata_type
      operator()
      () const
| Creates a metadata object.
    inline bool
      operator()
      (metadata_reference r_metadata) const
| Decides whether a metadata object should be moved to the front of the list.